%define debug_package %{nil}
#globals for winff-1.5.4-20160107-86c3560.tar.xz
%global gitdate 20160107
%global gitversion 86c3560
%global snapshot %{gitdate}-%{gitversion}
%global gver .%{gitdate}git%{gitversion}

Name:		winff
Summary:	Graphical video and audio batch converter using ffmpeg
Version:	1.5.4
Release:	1%{?dist}
URL:		http://winff.org/html_new/
Source: 	%{name}-%{version}-%{snapshot}.tar.xz
Source2: 	%{name}-snapshot.sh
Source1:	winff.desktop
License:	GPLv3.0
Group:		Video/Editors and Convertors
Requires:	ffmpeg
Requires:	hicolor-icon-theme
BuildRequires:	dos2unix
BuildRequires:	fpc
BuildRequires:	fpc-src
BuildRequires:	glib2-devel
BuildRequires:	gtk2-devel
BuildRequires:	lazarus
BuildRequires:	libX11-devel
BuildRequires:	desktop-file-utils
BuildRequires:	fdupes
Conflicts:	winff-qt
BuildRoot:	%{_tmppath}/%{name}-%{version}-build

%description
WinFF is a GUI for the command line video converter FFMPEG.
It will convert most any video file that FFmpeg will convert.
WinFF does multiple files in multiple formats at one time.
You can for example convert mpeg's, flv's, and mov's
all into avi's all at once.

%prep
%setup -n winff
cd winff
dos2unix *.txt
chmod 644 *.txt docs/*.pdf docs/*.odg docs/*.odt docs/*.txt winff-icons/*.txt

%build
cd winff
lazbuild \
	--lazarusdir=%{_libdir}/lazarus \
%ifarch x86_64
	--cpu=x86_64 \
%endif
	--widgetset=gtk2 \
	-B winff.lpr

%install
cd winff
install -dm 755 %{buildroot}/%{_bindir}
install -dm 755 %{buildroot}/%{_mandir}/man1
install -dm 755 %{buildroot}/%{_datadir}/winff/languages/
install -dm 755 %{buildroot}/%{_datadir}/applications/

install -m 644 %{SOURCE1} %{buildroot}/%{_datadir}/applications/
install -m 644 presets.xml %{buildroot}/%{_datadir}/winff/
install -m 644 languages/*.po %{buildroot}/%{_datadir}/winff/languages/
install -m644 winff.1 %{buildroot}/%{_mandir}/man1
install -m644 winff %{buildroot}/%{_bindir}/
chmod a+x %{buildroot}/%{_bindir}/winff

install -dm 755 %{buildroot}/%{_datadir}/icons/hicolor
for i in 16 24 32 48; do
  install -dm 755 %{buildroot}/%{_datadir}/icons/hicolor/"$i"x"$i"/apps
  install -m 644 winff-icons/"$i"x"$i"/*.png %{buildroot}/%{_datadir}/icons/hicolor/"$i"x"$i"/apps
done


%clean
rm -rf %{buildroot}/

%files
%defattr(755, root, root) 
%{_bindir}/winff
%{_datadir}/winff/
%{_datadir}/applications/winff.desktop
%{_datadir}/icons/*
%{_mandir}/man1/*



%changelog

* Thu Jan 07 2016 David Vásquez <davidjeremias82 AT gmail DOT com> - 1.5.4-20160107-86c3560-1
- Updated to 1.5.4-20160107-86c3560

* Fri Mar 20 2015 David Vásquez <davidjeremias82 AT gmail DOT com> - 1.5.3-1
- Updated to 1.5.3

*Tue Mar 04 2014 David Vásquez <davidjeremias82 AT gmail DOT com> - 1.5.2-2
- Changed path
- Use now ffmpeg-full

* Mon Oct 07 2013 David Vasquez <davidjeremias82 AT gmail DOT com> 1.5.2-1
- Update to vesion 1.5.2

* Sat May 18 2013 David Vásquez <davidjeremias82 AT gmail DOT com> - 1.5.0-1
- Rebuild for Fedora 18
- Includes new dependencies
- Update presets

